package body MSHTML.ISVGAnimatedLengthList_Object is

   procedure PutRef_baseVal
     (This : ISVGAnimatedLengthList_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGAnimatedLengthList_PutRef_baseVal,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_baseVal;

   function Get_baseVal
     (This : ISVGAnimatedLengthList_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGAnimatedLengthList_Get_baseVal);
   end Get_baseVal;

   procedure PutRef_animVal
     (This : ISVGAnimatedLengthList_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGAnimatedLengthList_PutRef_animVal,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_animVal;

   function Get_animVal
     (This : ISVGAnimatedLengthList_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGAnimatedLengthList_Get_animVal);
   end Get_animVal;

end MSHTML.ISVGAnimatedLengthList_Object;

